path: /build/build/singularity-sys-cluster-3.8.7+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-cluster/singularity -pv -t
  - |
    emerge -j ${JOBS} --nodeps sys-cluster/singularity
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/singularity && luet-portage
    --dir /pkgdir/singularity sys-cluster/singularity
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:d42dcde56602a8f1d96ad88122cf764cac0b507469208e80144e449e032e8519
  package:
    name: singularity
    version: 3.8.7+3
    category: sys-cluster
    requires:
    - name: cryptsetup
      version: '>=0'
      category: sys-fs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Application containers for Linux
    uri:
    - https://sylabs.io
    license: BSD
    buildtimestamp: 2026-05-21 14:59:18.534111401 +0000 UTC m=+875.337237210
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: sys-libs/libseccomp >=dev-lang/go-1.13.0 app-crypt/gpgme dev-libs/openssl
        sys-apps/util-linux sys-fs/cryptsetup
      IUSE: examples +network +suid kernel_linux
      RDEPEND: sys-libs/libseccomp sys-fs/squashfs-tools
      emerge.packages: sys-cluster/singularity
      kit: core-kit
      original.package.name: sys-cluster/singularity
      original.package.slot: "0"
      original.package.version: 3.8.7
    treedir: /build/packages
  package_dir: /pkgdir/singularity
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f7fc8f14e9ded2fa669fc7d4679ef2b7309dca37591c8884e6bb144985f84f2d
compressiontype: zstd
files:
- etc/singularity/capability.json
- etc/singularity/cgroups/cgroups.toml
- etc/singularity/ecl.toml
- etc/singularity/global-pgp-public
- etc/singularity/network/00_bridge.conflist
- etc/singularity/network/10_ptp.conflist
- etc/singularity/network/20_ipvlan.conflist
- etc/singularity/network/30_macvlan.conflist
- etc/singularity/network/40_fakeroot.conflist
- etc/singularity/nvliblist.conf
- etc/singularity/remote.yaml
- etc/singularity/rocmliblist.conf
- etc/singularity/seccomp-profiles/default.json
- etc/singularity/singularity.conf
- usr/bin/run-singularity
- usr/bin/singularity
- usr/libexec/singularity/bin/starter
- usr/libexec/singularity/bin/starter-suid
- usr/libexec/singularity/cni/bandwidth
- usr/libexec/singularity/cni/bridge
- usr/libexec/singularity/cni/dhcp
- usr/libexec/singularity/cni/firewall
- usr/libexec/singularity/cni/flannel
- usr/libexec/singularity/cni/host-device
- usr/libexec/singularity/cni/host-local
- usr/libexec/singularity/cni/ipvlan
- usr/libexec/singularity/cni/loopback
- usr/libexec/singularity/cni/macvlan
- usr/libexec/singularity/cni/portmap
- usr/libexec/singularity/cni/ptp
- usr/libexec/singularity/cni/static
- usr/libexec/singularity/cni/tuning
- usr/libexec/singularity/cni/vlan
- usr/share/doc/singularity-3.8.7/CONTRIBUTING.md.bz2
- usr/share/doc/singularity-3.8.7/CONTRIBUTORS.md.bz2
- usr/share/doc/singularity-3.8.7/README.md.bz2
- usr/share/man/man1/singularity-build.1.bz2
- usr/share/man/man1/singularity-cache-clean.1.bz2
- usr/share/man/man1/singularity-cache-list.1.bz2
- usr/share/man/man1/singularity-cache.1.bz2
- usr/share/man/man1/singularity-capability-add.1.bz2
- usr/share/man/man1/singularity-capability-avail.1.bz2
- usr/share/man/man1/singularity-capability-drop.1.bz2
- usr/share/man/man1/singularity-capability-list.1.bz2
- usr/share/man/man1/singularity-capability.1.bz2
- usr/share/man/man1/singularity-config-fakeroot.1.bz2
- usr/share/man/man1/singularity-config-global.1.bz2
- usr/share/man/man1/singularity-config.1.bz2
- usr/share/man/man1/singularity-delete.1.bz2
- usr/share/man/man1/singularity-exec.1.bz2
- usr/share/man/man1/singularity-inspect.1.bz2
- usr/share/man/man1/singularity-instance-list.1.bz2
- usr/share/man/man1/singularity-instance-start.1.bz2
- usr/share/man/man1/singularity-instance-stop.1.bz2
- usr/share/man/man1/singularity-instance.1.bz2
- usr/share/man/man1/singularity-key-export.1.bz2
- usr/share/man/man1/singularity-key-import.1.bz2
- usr/share/man/man1/singularity-key-list.1.bz2
- usr/share/man/man1/singularity-key-newpair.1.bz2
- usr/share/man/man1/singularity-key-pull.1.bz2
- usr/share/man/man1/singularity-key-push.1.bz2
- usr/share/man/man1/singularity-key-remove.1.bz2
- usr/share/man/man1/singularity-key-search.1.bz2
- usr/share/man/man1/singularity-key.1.bz2
- usr/share/man/man1/singularity-oci-attach.1.bz2
- usr/share/man/man1/singularity-oci-create.1.bz2
- usr/share/man/man1/singularity-oci-delete.1.bz2
- usr/share/man/man1/singularity-oci-exec.1.bz2
- usr/share/man/man1/singularity-oci-kill.1.bz2
- usr/share/man/man1/singularity-oci-mount.1.bz2
- usr/share/man/man1/singularity-oci-pause.1.bz2
- usr/share/man/man1/singularity-oci-resume.1.bz2
- usr/share/man/man1/singularity-oci-run.1.bz2
- usr/share/man/man1/singularity-oci-start.1.bz2
- usr/share/man/man1/singularity-oci-state.1.bz2
- usr/share/man/man1/singularity-oci-umount.1.bz2
- usr/share/man/man1/singularity-oci-update.1.bz2
- usr/share/man/man1/singularity-oci.1.bz2
- usr/share/man/man1/singularity-overlay-create.1.bz2
- usr/share/man/man1/singularity-overlay.1.bz2
- usr/share/man/man1/singularity-plugin-compile.1.bz2
- usr/share/man/man1/singularity-plugin-create.1.bz2
- usr/share/man/man1/singularity-plugin-disable.1.bz2
- usr/share/man/man1/singularity-plugin-enable.1.bz2
- usr/share/man/man1/singularity-plugin-inspect.1.bz2
- usr/share/man/man1/singularity-plugin-install.1.bz2
- usr/share/man/man1/singularity-plugin-list.1.bz2
- usr/share/man/man1/singularity-plugin-uninstall.1.bz2
- usr/share/man/man1/singularity-plugin.1.bz2
- usr/share/man/man1/singularity-pull.1.bz2
- usr/share/man/man1/singularity-push.1.bz2
- usr/share/man/man1/singularity-remote-add-keyserver.1.bz2
- usr/share/man/man1/singularity-remote-add.1.bz2
- usr/share/man/man1/singularity-remote-list.1.bz2
- usr/share/man/man1/singularity-remote-login.1.bz2
- usr/share/man/man1/singularity-remote-logout.1.bz2
- usr/share/man/man1/singularity-remote-remove-keyserver.1.bz2
- usr/share/man/man1/singularity-remote-remove.1.bz2
- usr/share/man/man1/singularity-remote-status.1.bz2
- usr/share/man/man1/singularity-remote-use.1.bz2
- usr/share/man/man1/singularity-remote.1.bz2
- usr/share/man/man1/singularity-run-help.1.bz2
- usr/share/man/man1/singularity-run.1.bz2
- usr/share/man/man1/singularity-search.1.bz2
- usr/share/man/man1/singularity-shell.1.bz2
- usr/share/man/man1/singularity-sif-add.1.bz2
- usr/share/man/man1/singularity-sif-del.1.bz2
- usr/share/man/man1/singularity-sif-dump.1.bz2
- usr/share/man/man1/singularity-sif-header.1.bz2
- usr/share/man/man1/singularity-sif-info.1.bz2
- usr/share/man/man1/singularity-sif-list.1.bz2
- usr/share/man/man1/singularity-sif-new.1.bz2
- usr/share/man/man1/singularity-sif-setprim.1.bz2
- usr/share/man/man1/singularity-sif.1.bz2
- usr/share/man/man1/singularity-sign.1.bz2
- usr/share/man/man1/singularity-test.1.bz2
- usr/share/man/man1/singularity-verify.1.bz2
- usr/share/man/man1/singularity-version.1.bz2
- usr/share/man/man1/singularity.1.bz2
- var/db/pkg/sys-cluster/singularity-3.8.7/BDEPEND
- var/db/pkg/sys-cluster/singularity-3.8.7/BUILD_TIME
- var/db/pkg/sys-cluster/singularity-3.8.7/CATEGORY
- var/db/pkg/sys-cluster/singularity-3.8.7/CBUILD
- var/db/pkg/sys-cluster/singularity-3.8.7/CFLAGS
- var/db/pkg/sys-cluster/singularity-3.8.7/CHOST
- var/db/pkg/sys-cluster/singularity-3.8.7/CONTENTS
- var/db/pkg/sys-cluster/singularity-3.8.7/COUNTER
- var/db/pkg/sys-cluster/singularity-3.8.7/CTARGET
- var/db/pkg/sys-cluster/singularity-3.8.7/CXX
- var/db/pkg/sys-cluster/singularity-3.8.7/CXXFLAGS
- var/db/pkg/sys-cluster/singularity-3.8.7/DEFINED_PHASES
- var/db/pkg/sys-cluster/singularity-3.8.7/DEPEND
- var/db/pkg/sys-cluster/singularity-3.8.7/DESCRIPTION
- var/db/pkg/sys-cluster/singularity-3.8.7/EAPI
- var/db/pkg/sys-cluster/singularity-3.8.7/FEATURES
- var/db/pkg/sys-cluster/singularity-3.8.7/HOMEPAGE
- var/db/pkg/sys-cluster/singularity-3.8.7/INHERITED
- var/db/pkg/sys-cluster/singularity-3.8.7/IUSE
- var/db/pkg/sys-cluster/singularity-3.8.7/IUSE_EFFECTIVE
- var/db/pkg/sys-cluster/singularity-3.8.7/KEYWORDS
- var/db/pkg/sys-cluster/singularity-3.8.7/LDFLAGS
- var/db/pkg/sys-cluster/singularity-3.8.7/LICENSE
- var/db/pkg/sys-cluster/singularity-3.8.7/NEEDED
- var/db/pkg/sys-cluster/singularity-3.8.7/NEEDED.ELF.2
- var/db/pkg/sys-cluster/singularity-3.8.7/PF
- var/db/pkg/sys-cluster/singularity-3.8.7/RDEPEND
- var/db/pkg/sys-cluster/singularity-3.8.7/REQUIRES
- var/db/pkg/sys-cluster/singularity-3.8.7/SIZE
- var/db/pkg/sys-cluster/singularity-3.8.7/SLOT
- var/db/pkg/sys-cluster/singularity-3.8.7/USE
- var/db/pkg/sys-cluster/singularity-3.8.7/environment.bz2
- var/db/pkg/sys-cluster/singularity-3.8.7/repository
- var/db/pkg/sys-cluster/singularity-3.8.7/singularity-3.8.7.ebuild
- var/singularity/mnt/session/.keep_sys-cluster_singularity-0
package_cacheimage: ""
runtime:
  name: singularity
  version: 3.8.7+3
  category: sys-cluster
  requires:
  - name: squashfs-tools
    version: '>=0'
    category: sys-fs
  - name: libseccomp
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Application containers for Linux
  uri:
  - https://sylabs.io
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: sys-libs/libseccomp >=dev-lang/go-1.13.0 app-crypt/gpgme dev-libs/openssl
      sys-apps/util-linux sys-fs/cryptsetup
    IUSE: examples +network +suid kernel_linux
    RDEPEND: sys-libs/libseccomp sys-fs/squashfs-tools
    emerge.packages: sys-cluster/singularity
    kit: core-kit
    original.package.name: sys-cluster/singularity
    original.package.slot: "0"
    original.package.version: 3.8.7
